import os
from pathlib import Path


def isInDevelopment() -> bool:
    """
    Helpful for local development where this python module is not installed.

    :return: True if environment variable DE_P1ST_EXEC_NOTIFY is set.
    """
    return 'DE_P1ST_EXEC_NOTIFY' in os.environ


def getProjectBase() -> Path:
    return Path(os.path.realpath(__file__)).parent.parent.parent.parent.parent.parent


def readFirstLine(file: Path) -> str:
    """
    :param file: Path to file
    :return: first line of file
    """
    with open(file, "r") as f:
        return f.readline()
